For the complete documentation index, see llms.txt. This page is also available as Markdown.

Updates Provider

Changes Provider with the provided ID. Values provides will replace the existing data.

patch
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
providerIdstring · uuidRequired

The ID (UUID) of the Provider.

Example: 74edc770-5cc6-5976-ac99-013ddb4af403
Body
metadataanyOptional

Metadata

Responses
200

Provider successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the Provider.

Example: 74edc770-5cc6-5976-ac99-013ddb4af403
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Provider.

Example: /providers/74edc770-5cc6-5976-ac99-013ddb4af403
patch/providers/{providerId}
PATCH /providers/{providerId} HTTP/1.1
Host: certificate-manager.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "metadata": {},
  "properties": {
    "name": "My name"
  }
}
{
  "id": "74edc770-5cc6-5976-ac99-013ddb4af403",
  "type": "provider",
  "href": "/providers/74edc770-5cc6-5976-ac99-013ddb4af403",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "state": "AVAILABLE",
    "message": "Issue in progress."
  },
  "properties": {
    "name": "Let's Encrypt",
    "email": "user@example.com",
    "server": "https://acme-v02.api.letsencrypt.org/directory",
    "externalAccountBinding": {
      "keyId": "some-key-id"
    }
  }
}

Last updated

Was this helpful?